FWStruct Namespace Reference

a namespace use to define common structure in a FullWrite file More...

## Classes

struct | Border
| Internal: class to store a border which appear in docInfo. More...
struct | Entry
| the definition of a zone in a FullWrite file More...
struct | ZoneHeader
| a structure used to store the data of a zone header in a FullWrite file More...

## Typedefs

typedef shared_ptr< Entry > | EntryPtr

## Functions

bool | getColor (int color, MWAWColor &col)
| try to convert a file data to a color More...
std::string | getTypeName (int type)
| returns the type name More...
std::ostream & | operator<< (std::ostream &o, Border const &p)
std::ostream & | operator<< (std::ostream &o, Entry const &entry)
std::ostream & | operator<< (std::ostream &o, ZoneHeader const &dt)

## Detailed Description

a namespace use to define common structure in a FullWrite file

## Typedef Documentation

typedef shared_ptr<Entry> FWStruct::EntryPtr

## Function Documentation

bool FWStruct::getColor | ( | int | color,
|  | MWAWColor & | col
| ) |  |

try to convert a file data to a color

Referenced by FWStruct::Border::read(), FWText::readDataMod(), and FWText::sendHiddenItem().

std::string FWStruct::getTypeName | ( | int | type | ) |

returns the type name

Referenced by FWParser::getDocumentTypeName(), and operator<<().

std::ostream& FWStruct::operator<< | ( | std::ostream & | o,
|  | Border const & | p
| ) |  |

std::ostream& FWStruct::operator<< | ( | std::ostream & | o,
|  | Entry const & | entry
| ) |  |

std::ostream& FWStruct::operator<< | ( | std::ostream & | o,
|  | ZoneHeader const & | dt
| ) |  |